Bug 1167761 - mock behaves strangely, when lvm quota is reached
Summary: mock behaves strangely, when lvm quota is reached
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-25 11:28 UTC by Vít Ondruch
Modified: 2015-02-20 00:33 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.6-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 23:09:14 UTC


Attachments (Terms of Use)
fpaste data (19.94 KB, text/plain)
2014-12-05 09:08 UTC, Miroslav Suchý
no flags Details

Description Vít Ondruch 2014-11-25 11:28:41 UTC
Description of problem:

When LVM quota is reached, the mock is behaving unexpectedly and lot of information is hidden. This is transcript of my session.

http://fpaste.org/153816/

If at least the last message was shown earlier, it could be more obvious what is going on.


Version-Release number of selected component (if applicable):
$ rpm -q mock
mock-1.2.2-1.fc20.noarch


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Strange behavior when quota is reached.

Expected results:
The error should be more visible. May be some remaining space could be reported at least or something similar.


Additional info:

Comment 1 Miroslav Suchý 2014-12-05 09:08:21 UTC
Created attachment 965021 [details]
fpaste data

Attaching fpaste from #0 as fpaste have expiration date.

Comment 2 Miroslav Suchý 2014-12-11 12:54:36 UTC
Fixed in a2d29ce

    Every time plugin write usage of data pool and metadata pool.
    When utilization is over 75 % then it emit warning.
    Usage over 90 % is fatal, but can be override by
    config_opts['plugin_conf']['lvm_root_opts']['check_size'] = False

Comment 3 Vít Ondruch 2014-12-11 13:24:47 UTC
Thanks!

BTW, could it be configured from CLI by a chance?

Comment 4 Miroslav Suchý 2014-12-11 13:46:36 UTC
In theory yes, but I hesitate to do this. Not every option have it command line counterpart. And I would to keep it this way so the --help and man page is not too much noisy.

Comment 5 Fedora Update System 2015-01-16 09:56:50 UTC
mock-1.2.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.fc21

Comment 6 Fedora Update System 2015-01-16 09:57:26 UTC
mock-1.2.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.fc20

Comment 7 Fedora Update System 2015-01-16 10:01:13 UTC
mock-1.2.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.el7

Comment 8 Fedora Update System 2015-01-16 10:01:51 UTC
mock-1.2.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.4-1.el6

Comment 9 Fedora Update System 2015-01-16 19:10:32 UTC
Package mock-1.2.4-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.4-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0312/mock-1.2.4-1.el7
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-01-21 23:09:14 UTC
mock-1.2.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-01-27 03:04:42 UTC
mock-1.2.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-01-28 15:20:51 UTC
mock-1.2.5-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.el7

Comment 13 Fedora Update System 2015-01-28 15:22:02 UTC
mock-1.2.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.el6

Comment 14 Fedora Update System 2015-01-28 15:23:15 UTC
mock-1.2.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.fc20

Comment 15 Fedora Update System 2015-01-28 15:24:24 UTC
mock-1.2.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.5-1.fc21

Comment 16 Fedora Update System 2015-02-02 17:22:37 UTC
mock-1.2.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-02-03 04:42:21 UTC
mock-1.2.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.el6

Comment 18 Fedora Update System 2015-02-03 04:42:57 UTC
mock-1.2.6-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.el7

Comment 19 Fedora Update System 2015-02-03 04:43:48 UTC
mock-1.2.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.fc20

Comment 20 Fedora Update System 2015-02-03 04:44:20 UTC
mock-1.2.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.6-1.fc21

Comment 21 Fedora Update System 2015-02-09 05:29:36 UTC
mock-1.2.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-02-15 02:55:59 UTC
mock-1.2.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-02-20 00:32:46 UTC
mock-1.2.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-02-20 00:33:41 UTC
mock-1.2.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.